/*191:*/
//#line 526 "/usr/local/yacco2/library/thread.w"

/*565:*/
//#line 24 "/usr/local/yacco2/library/macros.w"



/*:565*/
//#line 527 "/usr/local/yacco2/library/thread.w"

/*192:*/
//#line 531 "/usr/local/yacco2/library/thread.w"

Caller_pp->abort_no_selected_accept_parse_in_arbitrator();
arbitrated_parameter:
Caller_pp->arbitrated_token__= &Caller_pp->pp_accept_queue__[i];
Caller_pp->pp_accept_queue_idx__= i;
/*629:*/
//#line 1214 "/usr/local/yacco2/library/macros.w"

if(yacco2::YACCO2_AR__){

/*389:*/
//#line 3053 "/usr/local/yacco2/library/parser.w"

LOCK_MUTEX(yacco2::TRACE_MU);
if(yacco2::YACCO2_MU_TRACING__){
yacco2::lrclog<<"YACCO2_MU_TRACING__::Acquired trace mu"<<FILE_LINE<<std::endl;
}

/*:389*/
//#line 1217 "/usr/local/yacco2/library/macros.w"

yacco2::lrclog<<"YACCO2_AR__::"
<<Caller_pp->thread_no__<<"::"<<ar_name
<<" stop arbitrating"
<<FILE_LINE<<std::endl;
/*390:*/
//#line 3060 "/usr/local/yacco2/library/parser.w"

if(yacco2::YACCO2_MU_TRACING__){
yacco2::lrclog<<"YACCO2_MU_TRACING__::Releasing trace mu"<<FILE_LINE<<std::endl;
}
UNLOCK_MUTEX(yacco2::TRACE_MU);

/*:390*/
//#line 1222 "/usr/local/yacco2/library/macros.w"

}

/*:629*/
//#line 536 "/usr/local/yacco2/library/thread.w"

return(THR)1;

/*:192*/
//#line 528 "/usr/local/yacco2/library/thread.w"



/*:191*/
